Name: pingus
Version: 0.6.0
Release: alt2
%define srcname %name-%version

Summary: A free Lemmings clone
Summary(ru_RU.KOI8-R):   Lemmings
License: GPL
Group: Games/Arcade
Url: http://pingus.seul.org

Source: %url/files/%srcname.tar.bz2
Source1: %name.16.xpm
Source2: %name.32.xpm
Source3: %name.48.xpm
Source4: %name.menu
Source5: %name-music-0.4.tar.bz2

Requires: clanlib clanlib-gui clanlib-jpeg clanlib-mikmod clanlib-png clanlib-sound clanlib-vorbis libhermes libxml2 zlib

# Automatically added by buildreq on Tue Oct 07 2003
BuildRequires: XFree86-libs clanlib-devel clanlib-gui clanlib-jpeg clanlib-mikmod clanlib-png clanlib-sound clanlib-vorbis gcc-c++ libhermes-devel libjpeg libmikmod-devel libogg libpng-devel libstdc++-devel libvorbis libxml2-devel zlib-devel

%description
Pingus is a free Lemmings clone covered under the GPL. Pingus uses ClanLib,
which should make it portable over a lot of operating systems in the future. At
the moment the main target is Linux. It is possible to play Pingus in a X
window or in fullscreen using DGA or fbdev.

%description -l ru_RU.KOI8-R
Pingus -   Lemmings,   GPL. Pingus 
Clanlib,         
  .      - Linux.  Pingus 
  X      ,  DGA  fbdev.

%prep
%setup -q -n %srcname

%build
%define _optlevel 3
%add_optflags %optflags_kernel  %optflags_fastmath

rm -rf config.cache
aclocal
autoheader
automake --add-missing
autoconf

%configure --disable-nls --bindir=%_gamesbindir
%make_build

%install
%makeinstall bindir=$RPM_BUILD_ROOT%_gamesbindir
# (gc) remove by hand some themes that make the program segfault
#rm -f $RPM_BUILD_ROOT%_datadir/games/%name/themes/{desert.plt,newlevs.plt,playable.plt,playable2.plt}

install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%name.xpm
install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name

mkdir -p $RPM_BUILD_ROOT%_datadir/games/%name/
tar jxvf %SOURCE5 -C $RPM_BUILD_ROOT%_datadir/games/%name/
rm -f $RPM_BUILD_ROOT%_datadir/games/%name/*/.cvsignore
# (gc) very rough
( cd $RPM_BUILD_ROOT%_datadir/games/%name/ && mv pingus-music-0.4 music )

rm -f $RPM_BUILD_ROOT%_datadir/games/%name/README

for i in demos images levels music sound themes worldmaps; do
    ln -s ../$i $RPM_BUILD_ROOT%_datadir/games/%name/data/$i
done

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_gamesbindir/%name
%_man6dir/*
%_menudir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%_datadir/games/%name
%doc ABOUT-NLS AUTHORS ChangeLog NEWS README README.languages TODO

%changelog
* Mon Nov 24 2003 Andrey Brindeew <abr@altlinux.ru> 0.6.0-alt2
- Requires updated

* Tue Oct  7 2003 Andrey Brindeew <abr@altlinux.ru> 0.6.0-alt1
- 0.6.0
- Packager tag was added
- Summary was updated & translated to Russian

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.5.0-alt0.4pre3
- Rebuilt in new environment

* Thu Jan 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.5.0-alt0.3pre3
- 0.5.0pre3
- Rebuilded with clanlib 0.6.3
- Manually run autogen's apps

* Wed Jan 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.5.0-alt0.3pre2
- Rebuilded with clanlib 0.5.4

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.5.0-alt0.2pre2
- Rebuilded with clanlib 0.5.1
- Added music
- Added some Mandrake patches

* Thu Aug 30 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.5.0-alt0.1pre2
- Specfile minor cleanup.

* Wed Aug 29 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.5.0pre2-alt1
- 0.5.0pre2
- Rebuilt with new clanlib
- Some spec cleanup

* Fri Aug 17 2001 Stanislav Ievlev <inger@altlinux.ru> 0.4.0-ipl15mdk
- Rebuilt with new libSDL.

* Fri Apr  6 2001 Kostya Timoshenko <kt@altlinux.ru> 0.4.0-ipl14mdk
- will try not to crash when dsp is busy and user asked for sound/music
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Wed Mar 14 2001 Kostya Timoshenko <kt@petr.kz> 0.4.0-ipl13mdk
- fix BuildPreReq

* Wed Feb 21 2001 Kostya Timoshenko <kt@petr.kz> 0.4.0-ipl12mdk
- add 48x48 icon
- fix requires on launch_x11_clanapp

* Wed Jan 31 2001 Kostya Timoshenko <kt@petr.kz> 0.4.0-ipl11mdk
- fix hermes-devel -> libhermes-devel in BuildPreReq.

* Wed Dec 27 2000 Kostya Timoshenko <kt@petr.kz>
- Build for RE

* Wed Dec 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-10mdk
- rebuild against new SDL_mixer

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-9mdk
- rebuild to follow new lib policy of clanlib and SDL_mixer
- can build with full opts now that gcc-2.96 does not suck anymore

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-8mdk
- recompile against newest libstdc++
- fix compile with gcc-2.96 by downgrading optimization to -O1
- against lowercased hermes and clanlib

* Tue Oct 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-7mdk
- use autoconf to get the gcc-2.96 fix in the configure script

* Wed Sep 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-6mdk
- fix sound and music

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-5mdk
- menu: now launches automatically the x11 target

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-4mdk
- fixed missing install_info

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-2mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-1mdk
- took SRPM from Pingus website
- adapted to mdk
- took the `stable' 0.4.0 out of the CVS version with the help of
  Ingo Ruhnke <grumbel@gmx.de>
- fixed the not working resource files with the help of Ingo
- fixed behaviour when not config file (patch sourcecode)
- removed the buggy themes files (made pingus segfaulting)
- menu entry

* Fri Feb 18 2000 David Philippi <david@torangan.saar.de>
- Update to version 0.3.1

* Sun Dec 26 1999 David Philippi <david@torangan.saar.de>
- Fixed again the "install-info" bug

* Sun Dec 26 1999 David Philippi <david@torangan.saar.de>
- Fixed an old bug that prevented rpm from finding the provides

* Sun Dec 26 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.3.0a

* Tue Nov 09 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.2.4

* Fri Oct 08 1999 David Philippi <david@torangan.saar.de>
- Fixed a bug which caused rpm to generate a file /usr/info/dir

* Sun Oct 03 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.2.3

* Sat Sep 18 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.2.2

* Tue Jul 13 1999 Klaus Knopper <klaus@knopper.net>
- First RPMified pingus
